###############################################################################
###############################################################################
##
##  Copyright (C) 2004-2005 Red Hat, Inc.  All rights reserved.
##
##  This copyrighted material is made available to anyone wishing to use,
##  modify, copy, or redistribute it subject to the terms and conditions
##  of the GNU General Public License v.2.
##
###############################################################################
###############################################################################
%define major 1
%define minor 0.0

Name: cman
Version: %{major}.%{minor}
Release: 0
License: GPL
Group: System Environment/Base
Summary: cman - The Cluster Manager
BuildRequires: cman-kernheaders >= 2.6.9
BuildRequires: ccs-devel
Conflicts: GFS <= 6.0
Conflicts: GFS-modules
Requires: ccs
Requires: cman-kernel-modules >= 2.6.9
Requires(post): /sbin/chkconfig
Requires(preun): /sbin/chkconfig
ExclusiveArch: %{ix86} ia64 x86_64
Source0: %{name}-%{version}.tar.gz
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-buildroot

%description
cman - The Cluster Manager

%prep
%setup -q -n %{name}-%{version}

%build
./configure --mandir=%{_mandir}
sed -i '/RELEASE_MAJOR/s/= .*/= %{major}/' make/defines.mk
sed -i '/RELEASE_MINOR/s/= .*/= %{minor}/' make/defines.mk
sed -i '/RELEASE /s/= .*/= %version/' make/defines.mk
make

%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/etc/rc.d
mv -f $RPM_BUILD_ROOT/etc/init.d $RPM_BUILD_ROOT/etc/rc.d/

%clean
rm -rf $RPM_BUILD_ROOT

%post
/sbin/chkconfig --add cman

%preun
if [ "$1" = 0 ]; then
	/sbin/chkconfig --del cman
fi

%files
%defattr(-,root,root,-)
/sbin/cman_tool
%config /etc/rc.d/init.d/cman
%{_mandir}/*/*

%changelog
* Tue May 17 2005 Chris Feist <cfeist@redhat.com>
- Require cman-kernel-modules.

* Tue May 10 2005 Chris Feist <cfeist@redhat.com>
- Require proper kernel version.

* Mon Dec 20 2004 Chris Feist <cfeist@redhat.com>
- Rebuild with new sources.

* Mon Dec 13 2004 Chris Feist <cfeist@redhat.com>
- Rebuild with new sources.

* Thu Nov 18 2004 Chris Feist <cfeist@redhat.com>
- various bug fixes (new upstream sources)

* Fri Oct 22 2004 Chris Feist <cfeist@redhat.com>
- various bug fixes (new upstream sources)

* Mon Aug 16 2004 Jon Brassow <jbrassow@redhat.com>
- update the requirements field

* Fri Aug 13 2004 Jon Brassow <jbrassow@redhat.com>
- various bug fixes (new upstream sources)
- add man pages

* Wed Jul 14 2004 Jon Brassow <jbrassow@redhat.com>
- build for i386 and x86_64 only

* Tue Jul 13 2004 Jon Brassow <jbrassow@redhat.com> 
- New upstream sources

* Thu Jun 17 2004 Jon Brassow <jbrassow@redhat.com> 
- Initial build.
